package com.fs.company.domain;

import java.math.BigDecimal;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 短信套餐包对象 company_sms_package
 * 
 * @author fs
 * @date 2023-01-09
 */
public class CompanySmsPackage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long packageId;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 单价 */
    @Excel(name = "单价")
    private BigDecimal price;

    /** 数量 */
    @Excel(name = "数量")
    private Long smsCount;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    public void setPackageId(Long packageId) 
    {
        this.packageId = packageId;
    }

    public Long getPackageId() 
    {
        return packageId;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }
    public void setSmsCount(Long smsCount) 
    {
        this.smsCount = smsCount;
    }

    public Long getSmsCount() 
    {
        return smsCount;
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("packageId", getPackageId())
            .append("title", getTitle())
            .append("price", getPrice())
            .append("smsCount", getSmsCount())
            .append("remark", getRemark())
            .append("status", getStatus())
            .toString();
    }
}
